Back to top

Autore Topic: nuova versione 4.3 e php  (Letto 1284 volte)

Offline arteebotanica

  • Appassionato
  • ***
  • Post: 288
  • Sesso: Maschio
  • un grazie a tutti per l'impegno
    • Mostra profilo
nuova versione 4.3 e php
« il: 18 Apr 2023, 21:27:08 »
Salve ho appena ricevuto l'invito all'aggiornamento della versione 4.3, leggendo le novità presenti è anche scritto che adesso è aggiornato per php 8.2, mentre il php 8.1 è deprecato cosa si intende in questo caso per deprecato? che non funzionerà? volevo capire perchè da poco ho aggiornato il mio template alla versione 8.1.x di php, ora sono incerto se aggiornare joomla che è ottimizzato per la 8.2, posso correre rischi e quindi aspetto prima di aggiornare o non ci sono gravi problemi? grazie e scusate se magari la domanda può risultare banale.
ciao
Lorenzo stocco
www.arteebotanica.org

Offline saliinvetta

  • Appassionato
  • ***
  • Post: 506
  • Sesso: Maschio
    • Mostra profilo
Re:nuova versione 4.3 e php
« Risposta #1 il: 19 Apr 2023, 14:34:07 »
Buongiorno,
seguo anche io la presente discussione perchè anche io avevo una richiesta simile per Joomla 4.3
Al momento ho la 4.2.9 e volevo capire da chi aveva già avviato l'aggiornamento se c'erano problemi particolari di aggiornamento o altro...
Grazie

Offline gioso

  • Appassionato
  • ***
  • Post: 279
  • Sesso: Maschio
    • Mostra profilo
Re:nuova versione 4.3 e php
« Risposta #2 il: 19 Apr 2023, 14:51:09 »
Ciao.
Sto conducendo diverse prove.
XAMPP mi restituisce problemi con Joomla 4.3 se uso versioni php inferiori a 8.2. Non ho ancora verificato se i problemi derivano da Joomla o da componenti esterni.
Su un sito non ancora pubblicato ho fatto aggiornamento da Joomla 4.2.9 a 4.3, lasciando invariato php 8.1.14. Non mi risultano problemi lato backend, ma il sito è offline, quindi non ho ancora valutato l'impatto su frontend. In quest'ultimo caso però il passaggio da 8.1.14 a 8.2 è breve, quindi aspetterò gli aggiornamenti dei componenti per settare quanto prima il php superiore. In ogni caso si tratta di sito offline, quindi sconsiglio di installare Joomla 4.3 su php inferiore a 8.2, proprio perché deprecato.

Offline saliinvetta

  • Appassionato
  • ***
  • Post: 506
  • Sesso: Maschio
    • Mostra profilo
Re:nuova versione 4.3 e php
« Risposta #3 il: 19 Apr 2023, 16:02:12 »
Quindi io che sto usando php 8.0 avrò di sicuro problemi

Offline gioso

  • Appassionato
  • ***
  • Post: 279
  • Sesso: Maschio
    • Mostra profilo
Re:nuova versione 4.3 e php
« Risposta #4 il: 23 Apr 2023, 03:08:42 »
Su XAMPP ho continuato a fare numerose prove di aggiornamento del mio sito da Joomla 4.2.9 a 4.3. Tutti i tentativi sono falliti, ma addebito la colpa più a XAMPP che a Joomla o al mio sito, visto che per passare da una versione all'altra bisogna smanettare un po'.
In estremo ho provato a fare così: ho caricato una nuova installazione di Joomla 4.2.9 su XAMPP con versione PHP 8.1.17. Successivamente ho aggiornato a Joomla 4.3. Questo è l'unico caso in cui l'aggiornamento su XAMPP è andato a buon fine. Joomla 4.3 girava bene su PHP 8.1.17.
In ultima analisi ho aggiornato il mio sito a 4.3. Successivamente ho portato PHP da 8 a 8.2. Nessun problema né durante né dopo l'aggiornamento, considerando che ho pochi componenti esterni (tutti compatibili con Joomla 4, aggiornati e con preventiva verifica di ulteriori aggiornamenti).
Su XAMPP avevo sperimentato grossi problemi se variavo PHP prima di aggiornare (eppure su una pagina Web ho pure letto che Joomla 4.2.9 gira bene su PHP 8.2, ma almeno su XAMPP non si direbbe...).


Offline saliinvetta

  • Appassionato
  • ***
  • Post: 506
  • Sesso: Maschio
    • Mostra profilo
Re:nuova versione 4.3 e php
« Risposta #5 il: 23 Apr 2023, 16:24:21 »
Buongiorno
Io invece ho fatto dei test e funziona bene con Joomla 4.3 e php 8.0 !
Dite che alla lunga potrei avere problemi oppure se funziona va bene così ?


Grazie

Offline gioso

  • Appassionato
  • ***
  • Post: 279
  • Sesso: Maschio
    • Mostra profilo
Re:nuova versione 4.3 e php
« Risposta #6 il: 02 Mag 2023, 22:04:11 »
Riprendo il filo della discussione dopo essermi documentato a 360°.
Per Joomla 5, la cui uscita è prevista per ottobre, sarà richiesto PHP 8.1.
Oggi, in occasione dell'uscita dell'aggiornamento di Joomla 4.3.1, ho letto la pagina sui requisiti di Joomla 4.x. Possiamo dormire sonni sereni, visto che si raccomanda PHP 8.0!
Di seguito il link, per ogni evenienza.
https://downloads.joomla.org/technical-requirements

 



Web Design Bolzano Kreatif